package controller;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import model.core.*;
import model.manager.*;
import org.apache.commons.fileupload.*;
import org.apache.commons.fileupload.servlet.ServletFileUpload;
import org.apache.commons.fileupload.disk.DiskFileItemFactory;


public class AddProduct extends HttpServlet {

	
	
	public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		HttpSession session = request.getSession();
		String title = null;
		String author = null;
        String isbn = null;
		String press = null;
        String price = null;
        String edition = null;
        String format = null;
        FileItem ebook = null;
        String description = null;
		FileItem thumbnail = null;

		        boolean isMultipart = ServletFileUpload.isMultipartContent(request);
			  
			if (isMultipart) {
		        	FileItemFactory factory = new DiskFileItemFactory();
		      		ServletFileUpload upload = new ServletFileUpload(factory);

				List items = null;
				try {
					items = upload.parseRequest(request);
				} catch (FileUploadException e) {
					response.sendRedirect("index");
				}	
				Iterator itr = items.iterator();

				while (itr.hasNext()) { 
					FileItem item = (FileItem) itr.next();
				
					try {
					       	if (item.isFormField()){
						
								if (item.getFieldName().equals("title")) {
									title = item.getString();
									
								} else if (item.getFieldName().equals("author")){
									author = item.getString();      
								
								} else if (item.getFieldName().equals("isbn")){
									isbn  = item.getString();
				         
								} else if (item.getFieldName().equals("press")){
									press  = item.getString();

								} else if (item.getFieldName().equals("price")){
									price  = item.getString();
								
								} else if (item.getFieldName().equals("edition")){
									edition  = item.getString();
								
								} else if (item.getFieldName().equals("format")){
									format  = item.getString();
								
								} else if (item.getFieldName().equals("description")){
									description  = item.getString();
								}	
						}
						else { 
							if (item.getFieldName().equals("ebook")){
								ebook = item;
							} else if (item.getFieldName().equals("thumbnail")){
								thumbnail = item;
							}
						}

					} catch (Exception e) {
						response.sendRedirect("index");
						e.printStackTrace();
					}
				}
				Product product = new Product();
				product.setTitle(title);
				product.setAuthor(author);
				product.setPress(press);
				product.setISBN(isbn);
				product.setPrice(price);
				product.setFileFormat(format);
				product.setEdition(edition);
				product.setDescription(description);
			        
				String[] tokens = thumbnail.getName().split("\\.");
				String imageFormat = tokens[tokens.length - 1];
				product.setImageFormat(imageFormat);
				

				ProductManager.add(product);

				File productsDir = new File("/tmp/products");
				if (!productsDir.isDirectory())
					productsDir.mkdir();

				File formatDir = new File("/tmp/products/" + format);
				if (!formatDir.isDirectory())
					formatDir.mkdir();

				File thumbnailsDir = new File("/tmp/products/thumbnail");
					
				if (!thumbnailsDir.isDirectory()) {
					thumbnailsDir.mkdir();
				}

				try {

					File ebookFile = new File("/tmp/products/" + format + "/" + Integer.toString(product.getId()) + "." + format);
					ebookFile.createNewFile();
					ebook.write(ebookFile);

					File thumbnailFile = new File("/tmp/products/thumbnail/" + Integer.toString(product.getId()) + "." + imageFormat);
					thumbnailFile.createNewFile();
					thumbnail.write(thumbnailFile);
				} catch (Exception e) {
					response.sendRedirect("index.jsp");
					e.printStackTrace();
				}
			}

			response.sendRedirect("index.jsp");
	}

	public void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		doGet(request, response);
	}

}
