package model.core;

import java.util.*;
import javax.persistence.*;
import java.sql.*;

@Entity
@Table(name = "HasSeen")
@SequenceGenerator(name = "seqId", sequenceName = "seqHasSeenId")
public class HasSeen {
    
    @Id
    @Column(name = "hasSeenId",  nullable = false, unique = true)
    @GeneratedValue(strategy = GenerationType.AUTO, generator = "seqId")
    private Integer id;

    @Column
    private Long timestamp;

    @OneToOne(fetch = FetchType.EAGER)
    @JoinColumn(name = "productId")
    private Product product;



    public Integer getId() { return this.id; }

    private void setId(Integer id) { this.id = id; }


    public Long getTimestamp() { return this.timestamp; }

    public void setTimestamp(Long timestamp) { 
        this.timestamp = timestamp; 
    }


    public Product getProduct() { return this.product; }

    public void setProduct(Product product) { this.product = product; }

}
