package model.manager;

import org.hibernate.*;

import model.core.*;
import model.util.*;

public class CategoryManager {

    public static void add(Category category) {
        
        // Get database connection
        Session session = HibernateUtil.getSession();

        session.beginTransaction();
        session.save(category);
        session.getTransaction().commit();
    }

    public static void update(Category category) {
    
        // Get database connection
        Session session = HibernateUtil.getSession();

        session.beginTransaction();
        session.update(category);
        session.getTransaction().commit();
    
    }
   
    public static void remove(int categoryId) {
    
         // Get database connection
        Session session = HibernateUtil.getSession();

        // Delete category from database
        session.beginTransaction();
        Object category = session.get(Category.class, new Integer(categoryId));
        session.delete(category);
        session.getTransaction().commit();
    
    }

    public static void remove(Category category) {
    
         // Get database connection
        Session session = HibernateUtil.getSession();

        // Delete category from database
        session.beginTransaction();
        session.delete(category);
        session.getTransaction().commit();

    }


    public static Category findById(int categoryId) {
   
        Session session = HibernateUtil.getSession();

        session.beginTransaction();
        Category category = (Category) session.get(Category.class, new Integer(categoryId));
        session.getTransaction().commit();
    
        return category;
  
    }

    private static void unitTest1() {
    
        Category category1 = new Category();
        category1.setName("Category1");

        Category category2 = new Category();
        category2.setName("Category2");
        
        Category category3 = new Category();
        category3.setName("Category3");

        CategoryManager.add(category1);
        CategoryManager.add(category2);
        CategoryManager.add(category3);

        Product product1 = new Product();
        product1.setTitle("Product1");
    
        ProductManager.add(product1);

        category1.add(product1);
        category2.add(product1);
 
    }

    public static void main(String args[]) {
        
        CategoryManager.unitTest1();
    
    }

}
