package model.manager;

import java.util.*;
import org.hibernate.*;
import model.util.*;
import model.core.*;

public class PurchaseManager {

    public static void add(Purchase purchase) {

        // Get database connection
        Session session = HibernateUtil.getSession();

        // Save purchase to database
        session.beginTransaction();
        Integer id = (Integer) session.save(purchase);
        session.getTransaction().commit();

    }

    public static void update(Purchase purchase) {
    
        // Get database connection
        Session session = HibernateUtil.getSession();

        // Update purchase in database
        session.beginTransaction();
        session.update(purchase);
        session.getTransaction().commit();
    
    }

    public static Purchase findById(int id) {
        
        // Get database connection
        Session session = HibernateUtil.getSession();

        // Load from database
        session.beginTransaction();
        Purchase purchase = (Purchase) session.createQuery(
                    "SELECT p FROM Purchase p LEFT JOIN FETCH p.user WHERE p.id = :purchaseId"
                ).setParameter("purchaseId", id).
                uniqueResult();

        session.getTransaction().commit();

        return purchase;

    }

    public static ArrayList<Purchase> findNotPaid() {
       
        ArrayList<Purchase> notPaid = new ArrayList();

        // Get database connection
        Session session = HibernateUtil.getSession();

        session.beginTransaction();

        // Load query as specified in annotations by its name
        org.hibernate.Query query = session.getNamedQuery("findNotPaid");

        query.setBoolean("paid", false);

        // For each retrieved result
        for (Iterator iterator = query.iterate(); iterator.hasNext(); ) {
            
            // Add to array
            notPaid.add((Purchase) iterator.next());

        }

        session.getTransaction().commit();
    
        return notPaid;
    }

    private static void unitTest1() {
    
        Purchase purchase = new Purchase();

        purchase.setDate(new Long(Calendar.getInstance().getTime().getTime()));
        purchase.setPaid(true);
        purchase.setPaymentType("International credit card");

        PurchaseManager.add(purchase);

    }

    public static void main(String args[]) {
        
        PurchaseManager.unitTest1();
    
    }


}
