<%@page import="java.util.*" %>
<%@page import="helper.*" %>
<%@page import="model.core.*" %>

<%
	Locale currentLocale = request.getLocale();
	ResourceBundle msg = ResourceBundle.getBundle("messages", currentLocale);
	User user = (User)session.getAttribute("user");

%>

<!DOCTYPE html>
<html>
	<head>
    	<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
		<title>jBookStore - <%= msg.getString("ADD_PRODUCT") %></title>
		<link rel="stylesheet" type="text/css" href="../css/style.css" />
		<script src="http://code.jquery.com/jquery-latest.js"></script>
		<script type="text/javascript" src="../js/jquery.validate.js"></script>
		<script type="text/javascript">
			$(document).ready(function(){
				$('#submit_btn').attr('disabled', false);
			    $("#add_product_form").validate({
					rules: {
					    title: "required",
						author: "required",
						isbn: {
							required: true,
							number: true,
							range: [10, 13]
						},
						press: "required",
						price: {
							required: true,
							number: true,
							min: 0
						},
						edition: {
							required: true,
							digits: true,
							min: 1
						},
						ebook: "required",
						thumbnail: "required",
						format: "required",
						description: "required"
					}
				});

			});
		</script>

		<%
			if (user == null || !user.isAdmin()) {
		%>
				<script type="text/javascript">
					window.localtion = "../index.jsp";
				</script>
		<%
			}
		%>
	
	</head>
	<body>
		<div id="wrap">

       		<div class="header">
       			<div class="logo"><a href="index.html"><img src="../images/logo.gif" alt="" title="" border="0" /></a></div>            
        		<div id="menu">
		            <ul>
		                <li class="selected"><a href="../index.jsp"><%= msg.getString("HOME") %></a></li>
		                <li><a href=""><%= msg.getString("BOOKS") %></a></li>
		                <li><a href=""><%= msg.getString("SPECIAL_BOOKS") %></a></li>
		                <li><a href=""><%= msg.getString("MY_ACCOUNT") %></a></li>
		                <li><a href="login.jsp"><%= msg.getString("LOG_IN") %></a></li>
 		            </ul>
        		</div>      
       		</div> 
       
       		<div class="center_content">
       			<div class="left_content">
            		<div class="title"><span class="title_icon"><img src="../images/bullet1.gif" alt="" title="" /></span><%= msg.getString("PRODUCT_MANAGEMENT") %></div>
        
        			<div class="feat_prod_box_details">
            
              			<div class="contact_form">
                			<div class="form_subtitle"> <%= msg.getString("ADD_PRODUCT")%></div>
            				<form name="addprodform" method="post" action="add_product" enctype="multipart/form-data">
                    			<div class="form_row">
			                        <label class="contact"><strong><%= msg.getString("TITLE") %>:</strong></label>
			                        <input type="text" name="title" id="title" class="contact_input"/>
			                    </div>
			                    <div class="form_row">
			                        <label class="contact"><strong><%= msg.getString("AUTHOR") %>:</strong></label>
			                        <input type="text" name="author" id="author" class="contact_input"/>
			                    </div>
			                    <div class="form_row">
			                        <label class="contact"><strong><%= msg.getString("ISBN") %>:</strong></label>
			                        <input type="text" name="isbn" id="isbn" class="contact_input"/>
			                    </div>
			                    <div class="form_row">
			                        <label class="contact"><strong><%= msg.getString("PRESS") %>:</strong></label>
			                        <input type="text" name="press" id="press" class="contact_input"/>
			                    </div>
			                    <div class="form_row">
			                        <label class="contact"><strong><%= msg.getString("PRICE") %>:</strong></label>
			                        <input type="text" name="price" id="price" class="contact_input"/>
			                    </div>
			                    <div class="form_row">
			                        <label class="contact"><strong><%= msg.getString("EDITION") %>:</strong></label>
			                        <input type="text" name="edition" id="edition" class="contact_input"/>
			                    </div>
			                    <div class="form_row">
			                        <label class="contact"><strong><%= msg.getString("FORMAT") %>:</strong></label><br />
								</div>
								<div id="format_options">
									<div class="form_row">
				                        <input type="radio" name="format" value="epub" id="epub"/> 
				                        <label class="contact"><%= msg.getString("EPUB") %><label>
									</div>
									<div class="form_row">
				    					<input type="radio" name="format" value="pdf" id="pdf" /> 
					                    <label class="contact"><%= msg.getString("PDF") %></label>                                            
				                    </div>
								</div>
			                    <div class="form_row">
			                        <label class="contact"><strong><%= msg.getString("EBOOK") %>:</strong></label>
			                        <input type="file" name="ebook" id="ebook" class="contact_input"/> 
			                    </div>
			                    <div class="form_row">
			                        <label class="contact"><strong><%= msg.getString("THUMBNAIL") %>:</strong></label>
			                        <input type="file" name="thumbnail" id="thumbnail" class="contact_input"/> 
			                    </div>
			                    <div class="form_row">
			                        <label class="contact"><strong><%= msg.getString("DESCRIPTION") %>:</strong></label><br />
			                        <textarea name="description" id="description" class="contact_input"></textarea>
			                    </div>
			                    <div class="form_row">
			                    <input id="submit_btn" type="submit" class="register" value="<%= msg.getString("INSERT") %>" disabled/>
			                    </div>   
                  			</form>     
                		</div>  
            		</div>	   

        			<div class="clear"></div>
        		</div><!--end of left content-->
        
        		<div class="right_content">
					<div class="cart">
                  		<div class="title"><span class="title_icon"><img src="../images/cart.gif" alt="" title="" /></span> <%= msg.getString("MY_CART") %></div>
                  		<div class="home_cart_content">
                  			3 x items | <span class="red">TOTAL: 100$</span>
                  		</div>
                  		<a href="cart.html" class="view_cart"> <%= msg.getString("VIEW_CART") %></a>
              		</div>
             
             		<div class="right_box">
             
             			<div class="title"><span class="title_icon"><img src="../images/bullet4.gif" alt="" title="" /></span><%= msg.getString("PROMOTIONS") %></div> 
    					<%
                            //for(int i = 0; i < vetor.tamanho(); i++) {
                            //}
                        %>
             		</div>
             
             		<div class="right_box">
             
             			<div class="title"><span class="title_icon"><img src="../images/bullet5.gif" alt="" title="" /></span><%= msg.getString("CATEGORIES") %></div> 
		                <ul class="list">
		                	<!-- <li><a href="#">accesories</a></li> -->
		                </ul>          
             		</div>         
            
        		</div><!--end of right content-->

       			<div class="clear"></div>
       		</div><!--end of center content-->
       
              
            <div class="footer">
            	<div class="left_footer"><img src="../images/footer_logo.gif" alt="" title="" /><br /> <a href="http://csscreme.com/freecsstemplates/" title="free templates"><img src="../images/csscreme.gif" alt="free templates" title="free templates" border="0" /></a></div>
                <div class="right_footer">
                	<a href="#"><%= msg.getString("HOME") %></a>
                    <a href="#"><%= msg.getString("CONTACT") %></a>
                </div>
            </div>
		</div>
	</body>
</html>
