<%@page import="java.util.*" %>
<%@page import="helper.*" %>

<%
	Locale currentLocale = request.getLocale();
	ResourceBundle msg = ResourceBundle.getBundle("messages", currentLocale);

	String email = (String) session.getAttribute("userEmail");
	if (email == null) {
		email = "";
	}
%>

<!DOCTYPE html>
<html>
	<head>
    	<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
		<title>Book Store</title>
		<link rel="stylesheet" type="text/css" href="css/style.css" />
		<script src="http://code.jquery.com/jquery-latest.js"></script>
		<script type="text/javascript" src="js/jquery.validate.js"></script>
		<script>
			$(document).ready(function(){
				$('#submit_btn').attr('disabled', false);				
			    $("#register").validate({
					rules: {
					    first_name: "required",
						surname: "required",
						email: {
							required: true,
							email: true
						},
						password: "required",
						retyped_password: {
							required: true,
							equalTo: "#password"
						}
					},
					messages: {
						retyped_password: {
							equalTo: "Please, type the same password twice."
						}
					}
				});
			});
		</script>
	</head>
	<body>
		<div id="wrap">
			<div class="header">
	       		<div class="logo"><a href="index.html"><img src="images/logo.gif" alt="" title="" border="0" /></a></div>            
	        	<div id="menu">
		            <ul>
		                <li class="selected"><a href="index.jsp"><%= msg.getString("HOME") %></a></li>
		                <li><a href=""><%= msg.getString("BOOKS") %></a></li>
		                <li><a href=""><%= msg.getString("SPECIAL_BOOKS") %></a></li>
		                <li><a href=""><%= msg.getString("MY_ACCOUNT") %></a></li>
		                <li><a href="login.jsp"><%= msg.getString("LOG_IN") %></a></li>
		                <li><a href=""><%= msg.getString("CONTACT") %></a></li>
		            </ul>
	        	</div>
	      	</div>

	      	<div class="center_content">
	       		<div class="left_content">
	            	<div class="title"><span class="title_icon"><img src="images/bullet1.gif" alt="" title="" /></span>My account</div>
	        		<div class="feat_prod_box_details">          
	              		<div class="contact_form">
	                		<div class="form_subtitle"><%= msg.getString("SIGN_UP") %></div>
	                 		<form id="register" name="register_form" action="signup" method="POST">          
	                    		<div class="form_row">
	                        		<label class="contact"><strong><%= msg.getString("FIRST_NAME") %></strong></label>
	                        		<input type="text" id="first_name" class="contact_input" name="first_name"/>
	                    		</div>
	                    		<div class="form_row">
	                        		<label class="contact"><strong><%= msg.getString("SURNAME") %></strong></label>
	                        		<input type="text" id="surname" class="contact_input" name="surname"/>
	                    		</div>
	                    		<div class="form_row">
	                        		<label class="contact"><strong><%= msg.getString("EMAIL") %></strong></label>
									<input type="text" if="email" class="contact_input" name="email" value="<%= email %>"/>
	                    		</div>
	                    		<div class="form_row">
	                        		<label class="contact"><strong><%= msg.getString("TYPE_PASSWORD") %></strong></label>
	                        		<input type="password" id="password" class="contact_input" name="password"/>
	                    		</div>
	                    		<div class="form_row">
	                        		<label class="contact"><strong><%= msg.getString("RETYPE_PASSWORD") %></strong></label>
	                        		<input type="password" name="retyped_password" id="retyped_password" class="contact_input"/>
	                    		</div>
	                    		<div class="form_row">
	                    			<input type="submit" id="submit_btn" class="register" value="<%= msg.getString("SIGN_UP") %>" disabled />
	                    		</div>   
	                  		</form>     
	         			</div>  
	            	</div>          
					<div class="clear"></div>
	        	</div><!--end of left content-->
   
	        	<div class="right_content">
	            	<div class="cart">
	                	<div class="title"><span class="title_icon"><img src="images/cart.gif" alt="" title="" /></span><%= msg.getString("MY_CART")%></div>
	                  	<div class="home_cart_content">
	                  		3 x items | <span class="red">TOTAL: 100$</span>
	                  	</div>
	                  	<a href="cart.html" class="view_cart"><%= msg.getString("VIEW_CART")%></a> 
	              	</div><!-- end of cart -->
        
	   				<div class="right_box">
		             	<div class="title"><span class="title_icon"><img src="images/bullet4.gif" alt="" title="" /></span><%= msg.getString("PROMOTIONS") %></div> 
                        <%
                            //for(int i = 0; i < vetor.tamanho(); i++) {
                            //    out.println(ProductHelper.promoBook("imagem", "nome"));
                            //}
                        %>    
					</div>
             
	        		<div class="right_box">
             
	        			<div class="title"><span class="title_icon"><img src="images/bullet5.gif" alt="" title="" /></span><%= msg.getString("CATEGORIES") %></div> 
                
	                	<ul class="list">
	                		<!-- <li><a href="#">accesories</a></li> -->                        
	                	</ul>       
					</div>
	        	</div><!--end of right content-->
        
	    		<div class="clear"></div>
			</div><!--end of center content-->
            
		    <div class="footer">
		       	<div class="left_footer"><img src="images/footer_logo.gif" alt="" title="" /><br /> <a href="http://csscreme.com/freecsstemplates/" title="free templates"><img src="images/csscreme.gif" alt="free templates" title="free templates" border="0" /></a></div>
		        <div class="right_footer">
		        	<a href="index.jsp"><%= msg.getString("HOME") %></a>
		        	<a href="#"><%= msg.getString("CONTACT") %></a>
		        </div>
			</div>
		</div>

	</body>
</html>
